=== debian/changelog ===
bombono-dvd (1.2.2-0ubuntu23) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:59:36 +0000

bombono-dvd (1.2.2-0ubuntu22) focal; urgency=medium

  * Build-depend on python2, depend on python2.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 15:00:02 +0100

bombono-dvd (1.2.2-0ubuntu21) focal; urgency=medium

  * Build-depend on dh-python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 16:43:02 +0100

bombono-dvd (1.2.2-0ubuntu20) focal; urgency=medium

  * Rebuild with the new libdvdread soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Nov 2019 16:50:30 +0100

bombono-dvd (1.2.2-0ubuntu19) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 17:52:08 +0100

bombono-dvd (1.2.2-0ubuntu18) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:42:41 +0000

bombono-dvd (1.2.2-0ubuntu17) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:53:38 +0000

bombono-dvd (1.2.2-0ubuntu16) bionic; urgency=medium

  * Depend on ffmpeg instead of the transitional package libav-tools.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 19 Apr 2018 20:35:29 -0500

bombono-dvd (1.2.2-0ubuntu15) bionic; urgency=medium

  * Recommend fonts-freefont-ttf instead of transitional package
  * Bump debhelper compat to 11 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Apr 2018 07:58:15 -0400

bombono-dvd (1.2.2-0ubuntu14) bionic; urgency=medium

  * Import patches from https://github.com/momeni/bombono-dvd

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Oct 2017 23:42:45 +0000

bombono-dvd (1.2.2-0ubuntu13) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:10:15 +0000

bombono-dvd (1.2.2-0ubuntu12) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:10:12 +0000

bombono-dvd (1.2.2-0ubuntu11) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:11:43 +0000

bombono-dvd (1.2.2-0ubuntu10) yakkety; urgency=medium

  * Drop existing patch stack, replacing with upstream patches:
    - Fixes for ffmpeg 3.0.1.
    - Fixes for C++11 and Boost.
    - Add -std=c++11 by default.
    - Miscellaneous compile fixes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 00:48:35 +0100

bombono-dvd (1.2.2-0ubuntu9) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:37:09 +0000

bombono-dvd (1.2.2-0ubuntu8) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:27:53 +0000

bombono-dvd (1.2.2-0ubuntu7) wily; urgency=medium

  * Stop using ffmpeg private field data_offset which is no longer
    available.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 12 Aug 2015 12:16:58 +0100

bombono-dvd (1.2.2-0ubuntu6) wily; urgency=medium

  * Rebuild against *v5 libraries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:42:03 +0200

bombono-dvd (1.2.2-0ubuntu4) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 20:00:22 +0100

bombono-dvd (1.2.2-0ubuntu3) utopic; urgency=medium

  * Import patch from upstream Trac to fix FTBFS against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 30 May 2014 23:11:31 -0400

bombono-dvd (1.2.2-0ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 27 Apr 2014 00:00:15 +0100

bombono-dvd (1.2.2-0ubuntu1) trusty; urgency=low

  * New upstream release

  * Switch dependency from ffmpeg (no longer in trusty) to libav-tools
  * Add new build dependencies on libavcodec-dev and libavutil-dev
  * Remove obsolete Breaks/Replaces on 1.2.1-0ubuntu1, no upgrade path available
    - update debian/control
  * Remove hardcoded boost filesystem version
    - update debian/rules
  * Remove all patches, applied upstream

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 07 Nov 2013 19:03:05 -0600

bombono-dvd (1.2.1-0ubuntu7) trusty; urgency=low

  * No change rebuild for libav9 transition 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 05 Nov 2013 19:24:05 -0600

bombono-dvd (1.2.1-0ubuntu6) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:13:58 +0100
